' A constant that specifies a logon trigger.
const TriggerTypeLogon = 9
' A constant that specifies an executable action.
const ActionTypeExecutable = 0   

Set service = CreateObject("Schedule.Service")
call service.Connect()

' Get a folder to create a task definition in. 
Dim rootFolder
Set rootFolder = service.GetFolder("\")

Dim taskDefinition
' The flags parameter is 0 because it is not supported.
Set taskDefinition = service.NewTask(0) 

Dim regInfo
Set regInfo = taskDefinition.RegistrationInfo
regInfo.Description = "Task will execute SYS Dashboard when any " & _
    "user logs on."
regInfo.Author = "Solve Your System"

Dim settings
Set settings = taskDefinition.Settings
settings.StartWhenAvailable = True
Settings.StopIfGoingOnBatteries = false
settings.disallowstartifonbatteries = false
settings.ExecutionTimeLimit = "PT0S"

Dim triggers
Set triggers = taskDefinition.Triggers

Dim trigger
Set trigger = triggers.Create(TriggerTypeLogon)

'trigger.ExecutionTimeLimit = "PT0S"
trigger.Id = "LogonTriggerId"
' trigger.UserId = "DOMAIN\UserName"   ' Must be a valid user account   

Dim principal
Set principal = taskdefinition.principal
principal.runlevel = 1

Dim Action
Set Action = taskDefinition.Actions.Create( ActionTypeExecutable )
Action.Path = "C:\Program Files (x86)\SYSDashboard\SYSDashboard.exe"

' Register (create) the task.
const createOrUpdateTask = 6
call rootFolder.RegisterTaskDefinition( _
    "_SYS Dashboard - Start", taskDefinition, createOrUpdateTask, _
    "Builtin\Users", , 4)
